#include "raysphere.h"


surface plasma (color plasmacolor = (1, .2, 1))
{
    point Pobj = transform ("shader", P);
    vector Iobj = normalize(vtransform ("shader", I));
    float t0, t1;
    float nhit = raysphere (Pobj, Iobj, 1.0, 0.01, t0, t1);
    if (nhit > 0) {
	float tx = (nhit == 1) ? t0 : t1;
	point Pfar = Pobj + Iobj*tx;
	float closest = ptlined (Pobj, Pfar, point(0,0,0));
	Ci = mix (color 0, plasmacolor, 0.1*pow(1-closest, 3) + .5*pow (1-closest, 10) + 2*pow (1-closest, 20));
    }
    Oi = 0;
}
