/************************************************************************
 * envsurf.sl
 *
 * Description:
 *   Color the surface by looking up the view direction in an
 *   environment map.
 * 
 * Parameters:
 *   envname - name of the environment map
 *   envspace - space in which to look up the direction
 *   blur - how much to blur the map
 *   Kd - scale the brightness of the map lookup
 *
 * Entropy and BMRT are:
 * (c) Copyright 2001 Exluna, Inc.  Portions (c) 1990-2000 Larry Gritz.
 * All rights reserved.
 ************************************************************************/


surface envsurf (string envname = "";
		 string envspace = "shader";
		 float blur = 0;
		 float Kd = 1;)
{
    Ci = Cs;
    if (envname != "") {
	vector D = normalize(vtransform(envspace, I));
	Ci *= Kd * color environment (envname, D, "blur", blur);
    }
}
