/*
 * raygoggles.sl -- view the world through ray tracing only.
 *
 * DESCRIPTION:
 *   This simple shader just casts a ray in the viewing direction.
 *   It's essentially showing you what's behind it, according to the
 *   ray tracing engine.  The main use is if you put a polygon right
 *   in front of the camera -- it shows you the scene as seen by the
 *   rays, which may be different than the scene as seen by the camera
 *   using a scanline algorithm.  This can be very useful in debugging
 *   why objects appear different in reflections or with global
 *   illumination.
 * 
 * PARAMETERS:
 *   none.
 *
 * Entropy and BMRT are:
 * (c) Copyright 2001 Exluna, Inc.  All rights reserved.
 */


surface raygoggles()
{
    Ci = trace (P, normalize(I));
}
