/* shinymetal.sl - simple metal with environment mapping
 *
 */


surface
shinymetal (float Ka = 1, Ks = 1, Kr = 1;
	    float roughness = .1;
	    string envname = "";
	    string envspace = "world";)
{
    vector V = normalize(I);
    normal Nf = faceforward (normalize(N),V);
    vector D = vtransform (envspace, reflect (V, Nf));

    color env;
    if (envname != "")
	env = Kr * color environment (envname, D);
    else env = 0;

    Oi = Os;
    Ci = Os * Cs * (Ka*ambient() + Ks*specular(Nf,-V,roughness) + env);
}
