/* showfacing.sl - debugging shader to show if models have consistent
 *    normals.  Front facing normals are colored green, back facing
 *    normals are colored red.
 *
 * Entropy / BMRT are:
 * (c) Copyright 2001 Exluna, Inc.  All rights reserved.
 */


surface showfacing (float Kd = 0.8, Ka = 0.2)
{
    float d = normalize(I) . normalize(N);
    color Ct = mix (color(0,1,0), color(1,0,0), step(0,N.I));
    Ci = (Ka + Kd * d*d) * Ct;
}
